__gnu_parallel::__accumulate_binop_reduct< _BinOp >(3cxx)

NAME
__gnu_parallel::__accumulate_binop_reduct< _BinOp > - General reduction, using a binary operator.

SYNOPSIS

#include <for_each_selectors.h>

  Public Member Functions

__accumulate_binop_reduct (_BinOp &__b)
template<typename _Result , typename _Addend > _Result operator() (const _Result &__x, const _Addend &__y)

  Public Attributes

_BinOp & __binop

Detailed Description

  template<typename _BinOp>
struct __gnu_parallel::__accumulate_binop_reduct< _BinOp >"General reduction, using a binary operator.

Definition at line 335 of file for_each_selectors.h.

Constructor & Destructor Documentation

  template<typename _BinOp > __gnu_parallel::__accumulate_binop_reduct< _BinOp >::__accumulate_binop_reduct (_BinOp & __b) [inline], [explicit]

Definition at line 340 of file for_each_selectors.h.

Member Function Documentation

  template<typename _BinOp > template<typename _Result , typename _Addend > _Result __gnu_parallel::__accumulate_binop_reduct< _BinOp >::operator() (const _Result & __x, const _Addend & __y) [inline]

Definition at line 344 of file for_each_selectors.h.

Member Data Documentation

  template<typename _BinOp > _BinOp& __gnu_parallel::__accumulate_binop_reduct< _BinOp >::__binop

Definition at line 337 of file for_each_selectors.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.